/**
 * \addtogroup osSWinc
 * @{
 * \addtogroup uip
 * @{
 * \addtogroup  uiparch
 * @{
 */

/** \file uip_mess.h
 *
 *  \ref intro_sec "weAutSys" definition of system message texts for uIP
 *
 *  This is system software and must not be modified for user or
 *  application programs.
 *
 *  This file is part of \ref intro_sec "weAutSys" &nbsp;
 *          <<a href="http://weinert-automation.de">weinert-automation.de</a>>
 *
 *  \ref intro_sec "weAutSys" puts all fixed uIP message texts in flash memory.
 *
 *  <br /> &nbsp;
 * \ref copyLicNote " Copyright &copy; " 2011 Albrecht Weinert, Bochum
 * \author  Albrecht Weinert  &nbsp; <<a href="http://a-weinert.de">a-weinert.de</a>>
 * $Revision: 2 $
 * $Date: 2017-01-25 16:49:03 +0000 (Wed, 25 Jan 2017) $
 */
//  SVN last change by $Author: albrecht $

#ifndef __ARCH_UIP_MESS_H__
#define __ARCH_UIP_MESS_H__

#if UIP_CONF_IPV6
extern char ipv6InvVers[];     //!< ipv6: invalid version. (in flash)
#else
extern char ipInvVersHeadL[];  //!< ip: invalid version or header length. (in flash)
#endif
extern char ipPackShorter[];   //!< ip: packet shorter than reported in IP header. (in flash)
extern char ipFragmDropp[];    //!< ip: fragment dropped. (in flash)
extern char ipPossPingConfR[]; //!< ip: possible ping config packet received. (in flash)
extern char ipPackDroppSiAA[]; //!< ip: packet dropped since no address assigned. (in flash)
extern char ipBadCheckS[];     //!< ip: bad checksum. (in flash)

extern char ipNotTcpNorIcmp[]; //!< ip: neither tcp nor icmp. (in flash)
extern char icmpNotIcmpEcho[]; //!< icmp: not icmp echo. (in flash)
extern char ipNotTcpNorIcmp6[];//!< ip: neither tcp nor icmp6. (in flash IPV6)
extern char icmpUnknownMess[]; //!< icmp: unknown ICMP message. (in flash IPV6)
extern char udpBadCheckS[];    //!< udp: bad checksum. (in flash)
extern char udpNoMatchCon[];   //!< udp: no connection matching   (in flash)
extern char tcpBadCheckS[];    //!< tcp: bad checksum. (in flash)
extern char tcpNoUUsedCon[];   //!< tcp: found no unused connections. (in flash)
extern char tcpGotResetAbrt[]; //!<  tcp: got reset, aborting connection. (in flash)


#endif /* __ARCH_UIP_MESS_H__ */
/** @} */ // Doxygen ...group uiparch
/** @} */ // Doxygen ...group uip
/** @} osSWinc */
